Subject: Re: [Editorial Errata Reported] RFC4960 (2592)

From: Chris Benson <[email-masked]>
Date: Mon, 1 Nov 2010 12:17:23 -0700 (PDT)

Hi folks,

In my opinion, the SECOND sentence of proposed "NEW" text 
within 14.1 below is not quite correct.

>>  [formerly proposed] NEW:
>>     The assignment of new chunk type codes is done through an
>>     IETF Review action, as defined in [RFC5226].  Documentation of a new
>>     chunk MUST contain the following information:

My suggested NEW:
       The assignment of new chunk type codes is done through an
       IETF Review action, as defined in [RFC5226].  Documentation of a new
       chunk type MUST contain the following information:
             ^^^^

"new chunk" is used throughout the document to mean newly 
arrived (not re-transmitted) packet components, and that
is not what is to be documented.

Sorry about this extra level of pedanticism.

Chris Benson.

On Fri, 29 Oct 2010, Michael T?xen wrote:

>>  Date: Fri, 29 Oct 2010 17:53:00 +0200
>>  From: Michael T?xen <[email-masked]>
>>  To: Gorry Fairhurst <[email-masked]>
>>  Cc: James Polk <[email-masked]>, tsvwg list <[email-masked]>,
>>      Randy Stewart <[email-masked]>
>>  Subject: Re: [Editorial Errata Reported] RFC4960 (2592)
>>  
>>  Hi Gorry,
>>  ---
>>  OLD:
>>  
>>     The assignment of new chunk parameter type codes is done through an
>>                                 ^^^^^^^^^
>>     IETF Review action, as defined in [RFC5226].  Documentation of a new
>>     chunk MUST contain the following information:
>>  
>>  NEW:
>>     The assignment of new chunk type codes is done through an
>>     IETF Review action, as defined in [RFC5226].  Documentation of a new
>>     chunk MUST contain the following information:
>>  ---
>>  Best regards
>>  Michael
>>  
>>  On Oct 29, 2010, at 5:40 PM, Gorry Fairhurst wrote:
>>  
>>  > 
>>  > Michael,
>>  > 
>>  > These seem to be straightforward corrections. Please propose some corrections in the form below, and we can make sure the RFC-Ed notes these.
>>  > 
>>  > ---
>>  > OLD:
>>  > xxx
>>  > NEW:
>>  > xxx
>>  > 
>>  > ---
>>  > 
>>  > Gorry
>>  > 
>>  > On 29/10/2010 16:19, Michael T?xen wrote:
>>  >> Dear all,
>>  >> 
>>  >> we should possibly fix the wording also in
>>  >> http://tools.ietf.org/html/draft-ietf-tsvwg-sctp-chunk-flags-02
>>  >> during AUTH48.
>>  >> 
>>  >> TSVWG chairs: Is that possible?
>>  >> 
>>  >> Best regards
>>  >> Michael
>>  >> 
>>  >> On Oct 29, 2010, at 4:10 PM, Randy Stewart wrote:
>>  >> 
>>  >>> Dear RFC Editor:
>>  >>> 
>>  >>> The Errata is correct.. Tom and I discussed this on the list
>>  >>> and I agree with it. We obviously made a cut-and paste typo.. since
>>  >>> chunk types are different than parameter types ;-)
>>  >>> 
>>  >>> Best Wishes
>>  >>> 
>>  >>> Randall Stewart
>>  >>> On Oct 29, 2010, at 6:35 AM, RFC Errata System wrote:
>>  >>> 
>>  >>>> 
>>  >>>> The following errata report has been submitted for RFC4960,
>>  >>>> "Stream Control Transmission Protocol".
>>  >>>> 
>>  >>>> --------------------------------------
>>  >>>> You may review the report below and at:
>>  >>>> http://www.rfc-editor.org/errata_search.php?rfc=4960&eid=2592
>>  >>>> 
>>  >>>> --------------------------------------
>>  >>>> Type: Editorial
>>  >>>> Reported by: tom petch<[email-masked]>
>>  >>>> 
>>  >>>> Section: 14.1
>>  >>>> 
>>  >>>> Original Text
>>  >>>> -------------
>>  >>>> 14.1.  IETF-Defined Chunk Extension
>>  >>>> 
>>  >>>>  The assignment of new chunk parameter type codes is done through an
>>  >>>>  IETF Consensus action, as defined in [RFC2434].  Documentation of the
>>  >>>>  chunk parameter MUST contain the following information:
>>  >>>> 
>>  >>>> 
>>  >>>> Corrected Text
>>  >>>> --------------
>>  >>>> 14.1.  IETF-Defined Chunk Extension
>>  >>>> 
>>  >>>>  The assignment of new chunk type codes is done through an
>>  >>>> IETF Consensus action, as defined in [RFC2434].  Documentation of the
>>  >>>> chunk type MUST contain the following information:
>>  >>>> 
>>  >>>> 
>>  >>>> Notes
>>  >>>> -----
>>  >>>> The OLD text relates to parameter types, and not chunk types, and already appears, correctly, in section 14.2.  Section 14.1 is about chunk types,as the NEW text says.
>>  >>>> 
>>  >>>> Instructions:
>>  >>>> -------------
>>  >>>> This errata is currently posted as "Reported". If necessary, please
>>  >>>> use "Reply All" to discuss whether it should be verified or
>>  >>>> rejected. When a decision is reached, the verifying party (IESG)
>>  >>>> can log in to change the status and edit the report, if necessary.
>>  >>>> 
>>  >>>> --------------------------------------
>>  >>>> RFC4960 (draft-ietf-tsvwg-2960bis-05)
>>  >>>> --------------------------------------
>>  >>>> Title               : Stream Control Transmission Protocol
>>  >>>> Publication Date    : September 2007
>>  >>>> Author(s)           : R. Stewart, Ed.
>>  >>>> Category            : PROPOSED STANDARD
>>  >>>> Source              : Transport Area Working Group
>>  >>>> Area                : Transport
>>  >>>> Stream              : IETF
>>  >>>> Verifying Party     : IESG
>>  >>>> 
>>  >>> 
>>  >>> -----
>>  >>> Randall Stewart
>>  >>> [email-masked]
>>  >>> 
>>  >>> 
>>  >>> 
>>  >>> 
>>  >>> 
>>  >> 
>>  >> 
>>  >> 
>>  > 
>>  > 
>>